> ## Documentation Index
> Fetch the complete documentation index at: https://ton.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Send Query

> Send query - unpacked external message. This method takes address, body and init-params (if any), packs it to external message and sends to network. All params should be boc-serialized.



## OpenAPI

````yaml post /sendQuery
openapi: 3.1.0
info:
  title: TON HTTP API
  description: >

    This API enables HTTP access to TON blockchain - getting accounts and
    wallets information, looking up blocks and transactions, sending messages to
    the blockchain, calling get methods of smart contracts, and more.


    In addition to REST API, all methods are available through [JSON-RPC
    endpoint](#json%20rpc)  with `method` equal to method name and `params`
    passed as a dictionary.


    The response contains a JSON object, which always has a boolean field `ok`
    and either `error` or `result`. If `ok` equals true, the request was
    successful and the result of the query can be found in the `result` field.
    In case of an unsuccessful request, `ok` equals false and the error is
    explained in the `error`.


    API Key should be sent either as `api_key` query parameter or `X-API-Key`
    header.
  version: 2.0.0
servers:
  - url: https://toncenter.com/api/v2
  - url: https://testnet.toncenter.com/api/v2
security: []
tags:
  - name: accounts
    description: Information about accounts.
  - name: blocks
    description: Information about blocks.
  - name: transactions
    description: Fetching and locating transactions.
  - name: get config
    description: Get blockchain config
  - name: run method
    description: Run get method of smart contract.
  - name: send
    description: Send data to blockchain.
  - name: json rpc
    description: JSON-RPC endpoint.
paths:
  /sendQuery:
    post:
      tags:
        - send
      summary: Send Query
      description: >-
        Send query - unpacked external message. This method takes address, body
        and init-params (if any), packs it to external message and sends to
        network. All params should be boc-serialized.
      operationId: send_query_sendQuery_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Body_send_query_sendQuery_post'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TonResponse'
        '422':
          description: Validation Error
        '504':
          description: Lite Server Timeout
      security:
        - APIKeyHeader: []
        - APIKeyQuery: []
components:
  schemas:
    Body_send_query_sendQuery_post:
      properties:
        address:
          type: string
          title: Address
          description: Address in any format
        body:
          type: string
          title: Body
          description: b64-encoded boc-serialized cell with message body
        init_code:
          type: string
          title: Init Code
          description: b64-encoded boc-serialized cell with init-code
          default: ''
        init_data:
          type: string
          title: Init Data
          description: b64-encoded boc-serialized cell with init-data
          default: ''
      type: object
      required:
        - address
        - body
      title: Body_send_query_sendQuery_post
    TonResponse:
      properties:
        ok:
          type: boolean
          title: Ok
        result:
          anyOf:
            - type: string
            - items: {}
              type: array
            - type: object
          title: Result
        error:
          type: string
          title: Error
        code:
          type: integer
          title: Code
      type: object
      required:
        - ok
      title: TonResponse
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key
    APIKeyQuery:
      type: apiKey
      in: query
      name: api_key

````